| ISF 2.2 rev 5 Intelligent Sensing Framework for Kinetis with Processor Expert

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
SensorConfig_st Struct Reference

This defines the DSA sensor configuration structure defining each individual sensor adapter in the DSA Sensor List. More...

`#include <isf_dsa_adapter.h>`

Collaboration diagram for SensorConfig_st:

## Data Fields
const isf_dsa_Adapter_t * | pAdapter
void * | pSensorSpecificSettings
sys_channelId_t | channelId
const void * | commInfo

## Detailed Description

This defines the DSA sensor configuration structure defining each individual sensor adapter in the DSA Sensor List.

Definition at line 154 of file isf_dsa_adapter.h.

## Field Documentation

sys_channelId_t channelId

Sensor device physical channel identification value.

Definition at line 158 of file isf_dsa_adapter.h.

Referenced by fsl_fxas21002_i2cspi_3D_gyro_Initialize(), fsl_fxlc95000_Initialize(), fsl_fxls8471_i2cspi_3D_accel_Initialize(), fsl_fxls8952_i2c_3D_accel_Initialize(), fsl_fxos8700_i2cspi_6D_AccMag_Initialize(), fsl_mag3110_i2c_3D_mag_Initialize(), fsl_mma8491q_i2c_3D_accel_Initialize(), fsl_mma865x_i2c_3D_accel_Initialize(), fsl_mma955x_Initialize(), and fsl_mpl3115_i2c_1D_press_Initialize().

const void* commInfo

Sensor device specific communications info.

Definition at line 159 of file isf_dsa_adapter.h.

Referenced by fsl_fxas21002_i2cspi_3D_gyro_Initialize(), fsl_fxlc95000_Initialize(), fsl_fxls8471_i2cspi_3D_accel_Initialize(), fsl_fxls8952_i2c_3D_accel_Initialize(), fsl_fxos8700_i2cspi_6D_AccMag_Initialize(), fsl_mag3110_i2c_3D_mag_Initialize(), fsl_mma8491q_i2c_3D_accel_Initialize(), fsl_mma865x_i2c_3D_accel_Initialize(), fsl_mma955x_Initialize(), and fsl_mpl3115_i2c_1D_press_Initialize().

const isf_dsa_Adapter_t* pAdapter

Pointer to the statically initialized adapter structure.

Definition at line 156 of file isf_dsa_adapter.h.

Referenced by BasicApp1_FlashSensor(), configure_sensor(), convert_sensor_data(), init_sensor(), shutdown_sensor(), start_sensor(), and stop_sensor().

void* pSensorSpecificSettings

Pointer to the adapter sensor specific settings.

Definition at line 157 of file isf_dsa_adapter.h.

Referenced by fsl_fusion_task(), fsl_fusion_virt_3D_orient_Configure(), fsl_fusion_virt_3D_orient_Convert(), fsl_fusion_virt_3D_orient_EndData(), fsl_fusion_virt_3D_orient_Initialize(), fsl_fusion_virt_3D_orient_PeriodicCallback(), fsl_fusion_virt_3D_orient_Shutdown(), fsl_fusion_virt_3D_orient_StartData(), fsl_fusion_virt_3D_orient_ValidateSettings(), fsl_fxas21002_i2cspi_3D_gyro_Configure(), fsl_fxas21002_i2cspi_3D_gyro_Convert(), fsl_fxlc95000_Configure(), fsl_fxlc95000_Convert(), fsl_fxlc95000_EndData(), fsl_fxlc95000_Flash(), fsl_fxlc95000_Shutdown(), fsl_fxlc95000_StartData(), fsl_fxls8471_i2cspi_3D_accel_Convert(), fsl_fxls8952_i2c_3D_accel_Configure(), fsl_fxls8952_i2c_3D_accel_Convert(), fsl_fxls8952_i2c_3D_accel_PeriodicCallback(), fsl_fxls8952_i2c_3D_accel_Shutdown(), fsl_fxls8952_i2c_3D_accel_StartData(), fsl_fxls8952_i2c_3D_accel_ValidateSettings(), fsl_fxos8700_i2cspi_6D_AccMag_Configure(), fsl_fxos8700_i2cspi_6D_AccMag_Convert(), fsl_fxos8700_i2cspi_6D_AccMag_PeriodicCallback(), fsl_fxos8700_i2cspi_6D_AccMag_StartData(), fsl_fxos8700_i2cspi_6D_AccMag_ValidateSettings(), fsl_mag3110_i2c_3D_mag_Convert(), fsl_mma8491q_i2c_3D_accel_Convert(), fsl_mma865x_i2c_3D_accel_Convert(), fsl_mma955x_Configure(), fsl_mma955x_Convert(), fsl_mma955x_EndData(), fsl_mma955x_Initialize(), fsl_mma955x_Shutdown(), fsl_mma955x_StartData(), fsl_mpl3115_i2c_1D_press_Convert(), fxlc95000_GetConfig(), fxlc95000_GetData(), fxlc95000_ValidateConfig(), fxlc95000_WriteConfig(), fxls8471_SetConfig(), mag3110_SetConfig(), mag3110_ValidateConfig(), mma865x_SetConfig(), mma955x_GetConfig(), mma955x_GetData(), mma955x_GetPedometerData(), mma955x_ValidateConfig(), mma955x_WriteConfig(), and mpl3115_SetConfig().

The documentation for this struct was generated from the following file:

- ISF/Core/Include/isf_dsa_adapter.h

- © Freescale Semiconductor, Inc. 2016. All Rights Reserved.